Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.security
Interface SecretKey

All Superinterfaces:
  Key

All Known Subinterfaces:
  AESKey, DESKey

All Known Implementing Classes:
  SymmetricKeyImpl

    public interface SecretKey

extends Key

The `SecretKey` class is the base interface for keys used in symmetric algorithms (DES, for example).

Method Summary

Methods inherited from interface javacard.security.Key
`clearKey, getSize, getType, isInitialized`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD